  .nav__text-wrap:after {
    content: "";
    display: block;
    width: 6px;
    height: 6px;
    border-left: 3px solid var(--dark);
    border-bottom: 3px solid var(--dark);
    transform: rotate(-135deg);
    transition: border 0.4s, transform 0.4s;
  }
  /* 24 19 */
  .mobile-button:before,
  .mobile-button:after {
    position: absolute;
    content: "";
    right: 12px;
    height: 2px;
    transition: transform 0.4s;
  }
  .mobile-button:before {
    width: 24px;
    background-color: var(--blue);
    top: 16px;
    /* transform: rotate(45deg); */
  }
  .mobile-button:after {
    width: 19px;
    background-color: var(--blue);
    bottom: 16px;
    /* transform: rotate(45deg); */
  }
  /*--HOVER--*/
  .nav__text-wrap:hover:after {
    border-color: var(--dark);
  }
  @media (min-width: 1280px) {
    .header:has(.nav__item--arrow:hover) {
      background: var(--white);
    }
    .nav__item--arrow:hover .nav__submenu,
    .nav__item--arrow:focus-within .nav__submenu {
      display: block;
      opacity: 1;
      transform: translate(0%);
      pointer-events: auto;
      background-color: var(--white);
    }
    .nav__subitem a.nav__subtext:hover {
      color: var(--blue);
    }
  }
  /*--ACTION--*/
  .header--white {
    background: var(--white);
  }
  .mobile-button--active {
    justify-content: center;
    gap: 0;
  }
  .mobile-button--active:before {
    background-color: var(--white);
    transform: rotate(45deg) translateY(50%);
    top: 22px;
  }
  .mobile-button--active:after {
    background-color: var(--white);
    transform: rotate(-45deg) translateY(-50%);
    bottom: 21px;
  }
  .mobile-button--active:before,
  .mobile-button--active:after {
    height: 3px;
    width: 22px;
  }
  .header:has(.nav--open) .button__phone-svg path {
    fill: var(--white);
  }
  .header:has(.nav--open) .logo__image--blue {
    opacity: 0%;
  }
  .header:has(.nav--open) .logo__image--white {
    opacity: 100%;
  }
  .nav--open {
    transform: scale(1);
    border-radius: 0;
  }
  .nav--open .container.nav__container {
    opacity: 1;
    transition: opacity 0.4s;
    transition-delay: 400ms;
  }
  .nav__submenu--open {
    opacity: 1;
    transform: translate(0%);
  }
  /*--ADAPTIVE*/
  @media (min-width: 1280px) {
    .nav .button {
      display: none;
    }
    .nav__text-wrap:after {
      border-left: 2px solid var(--dark);
      border-bottom: 2px solid var(--dark);
      transform: rotate(-45deg) translateY(-15%) translateX(15%);
    }
    .nav__item--arrow:hover .nav__text-wrap:after {
      transform: rotate(-225deg) translateY(-15%) translateX(15%);
    }
  }
  @media screen and (max-width: 1279px) {
    .nav__text-wrap:after {
      border-color: var(--white) !important;
    }
  }
  .nav__back-button:before {
    content: "";
    position: absolute;
    left: 0;
    top: 50%;
    width: 6px;
    height: 6px;
    border-left: 3px solid var(--yellow);
    border-bottom: 3px solid var(--yellow);
    transform: rotate(45deg) translateY(-50%);
  }
